<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";

 function avto($s) {
 $rand = mt_rand(100,999);
 global $config_chatrew;
 $s = str_replace("<title>","<meta http-equiv=\"refresh\" content=\"$config_chatrew;URL=indexx.php?rand=$rand&amp;".SID."\" /><title>",$s);
 return $s;
 }
 ob_start("avto");
 //////////////////////////////////////////////////////////////////////////////////////////
 include_once"../themes/$config_themes/index.php";
 include_once"../template/isset.php";
 $rand = rand(100,999);
 echo'<img src="../images/img/partners.gif" alt=""> <b>Мини-чат</b><br><br>';
 if($config_themes!="wml"){
 	echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';
 	}
 	echo '| <a href="indexx.php?r='.$rand.'&amp;'.SID.'">Обновить</a> | <a href="index.php?'.SID.'">Комнаты</a>';
 	echo ' | <a href="who.php?'.SID.'">Кто в Чате</a>';
 	if($provpar==md5($_SESSION['par']) && $provlog==$_SESSION['log']) {
 		if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
 			echo ' | <a href="../'.$config_mpanel.'/chat.php?start='.$start.'&amp;'.SID.'">Управление</a> | ';
 			echo'<a href="../'.$config_mpanel.'/adminchat.php?'.SID.'">Админчат</a> |<br>';
 			}
 			}
 //--------------генерация анекдота-------------//
 if($config_shutnik=="1"){
 	$anfi=file(BASEDIR."template/chat_shut.php");
 	$an_rand  = array_rand($anfi);
 	$ananec=trim($anfi[$an_rand]);
 	$tifi=file(BASEDIR."local/chat.dat");
 	$tidw = explode("|",end($tifi));
 	$newtidw=$tidw[3]+300; //+10 минут
 	if($sitetime>$newtidw && $tidw[6]!="ОК") {  //условия время +10 и анекдот не последний
 	$antext=$ananec.'|Весальчак||'.$sitetime.'|Opera|127.0.0.2|ОК|'.$tidw[7].'|'.$tidw[8].'|';
 	$antext=no_br($antext);
 	$anfp=fopen(BASEDIR."local/chat.dat","a+");
 	flock ($anfp,LOCK_EX);
 	fputs($anfp,"$antext\r\n");
 	flock ($anfp,LOCK_UN);
 	fclose($anfp);
 	}
 	}
 //------------------- Ответ на вопрос ----------------//
 if($config_magnik=="1"){
 	$mmagfi=file(BASEDIR."local/chat.dat");
 	$mmagshow = explode("|",end($mmagfi));
 	if(!empty($mmagshow[8]) && $mmagshow[7]<$sitetime){
 	$magtime2=$sitetime+60;
 	$magtext='На вопрос никто не ответил, правильный ответ был: [b]'.$mmagshow[8].'[/b]|Вундер-киндер||'.$sitetime.'|Opera|127.0.0.3|НО|'.$magtime2.'||';
 	$magtext=no_br($magtext);
 	$magfp=fopen(BASEDIR."local/chat.dat","a+");
 	flock ($magfp,LOCK_EX);
 	fputs($magfp,"$magtext\r\n");
 	flock ($magfp,LOCK_UN);
 	fclose($magfp);
 	}
 	//---------------  Новый вопрос  ------------------//
 	$magfi=file(BASEDIR."template/chat_mag.php");
 	$mag_rand = array_rand($magfi);
 	$magshow=$magfi[$mag_rand];
 	$magstr = explode("|",$magshow);
 	if($mmagshow[8]=="" && $mmagshow[7]<$sitetime && $magstr[0]!=""){
 	$magtime=$sitetime+600;
 	$strlent=strlen(utf_to_win($magstr[1]));
 	 if($strlent>1 && $strlent<5){$podskazka="$strlent буквы";
 	 }
 	 else
 	 {
 	 	$podskazka="$strlent букв";
 	 	}
 	 	$magtext='Вопрос всем: '.$magstr[0].'  - ('.$podskazka.')|Вундер-киндер||'.$sitetime.'|Opera|127.0.0.3|НО|'.$magtime.'|'.$magstr[1].'|';
 	 	$magtext=no_br($magtext);
 	 	$magfp=fopen(BASEDIR."local/chat.dat","a+");
 	 	flock ($magfp,LOCK_EX);
 	 	fputs($magfp,"$magtext\r\n");
 	 	flock ($magfp,LOCK_UN);
 	 	fclose($magfp);
 	 	}
 	}
 //----------  Подключение бота  ----------//
 if($config_botnik=="1"){
 	if($log!="" && $_SESSION['botochat']==""){
 		$hellobots = array("Приветик", "Здравствуй", "Хай", "Добро пожаловать", "Салют", "Hello", "Здарова");
 		$hellobots_rand = array_rand($hellobots);
 		$hellobots_well = $hellobots[$hellobots_rand];
 		$mmagfi=file(BASEDIR."local/chat.dat");
 		$mmagshow = explode("|",end($mmagfi));
 		$text3=$hellobots_well.', '.$log.'!|Настюха||'.$sitetime.'|SIE-S65|127.0.0.2|НО|'.$mmagshow[7].'|'.$mmagshow[8].'|';
 		$text3=no_br($text3);
 		$fp=fopen(BASEDIR."local/chat.dat","a+");
 		flock ($fp,LOCK_EX);
 		fputs($fp,"$text3\r\n");
 		flock ($fp,LOCK_UN);
 		fclose($fp);
 		$_SESSION['botochat']="ok";
 		}
 	}
 	//================================//
 	$file=file(BASEDIR."local/chat.dat");
 	$i = count($file);
 	if ($i>=$config_maxpostchat) {
 		$fp=fopen(BASEDIR."local/chat.dat","w");
 		flock ($fp,LOCK_EX);
 		unset($file[0],$file[1],$file[2],$file[3],$file[4]);
 		fputs($fp, implode("",$file));
 		flock ($fp,LOCK_UN);
 		fclose($fp);}
 //-------------------------//
 if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 	if($config_themes!="wml"){
 	echo'<br><hr><form action="adds.php?'.SID.'" method="post">';
 	echo'<b>Сообщение:</b><br>';
 	echo'<textarea cols="20" rows="3" name="msg">'.$imja.'</textarea><br>';
 	 if($config_translit=="1"){
 		echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}
 		echo'<input type="submit" value="Добавить" /></form><hr>';
 	}
 	else
 	{
 		echo'Сообщение:<br>';
 		echo'<input name="msg" value="'.$imja.' "/><br>';
 		if($config_translit=="1"){
 			echo'Транслит: <select name="trans"><option value="0">Нет</option>';
 			echo'<option value="y">Да</option>';
 			echo'</select><br>';}
 			echo'<anchor>Сказать';
 			echo'<go href="adds.php?'.SID.'" method="post">';
 			echo'<postfield name="msg" value="$(msg)"/>';
 			echo'<postfield name="trans" value="$(trans)"/>';
 			echo'</go></anchor><br>--------------------<br>';
 	}
 }
 else
 {
 	echo '<br>Вы не авторизованы, чтобы добавить сообщение, необходимо<br>';
 	echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
 	}
 	$file = file(BASEDIR."local/chat.dat");
 	$file = array_reverse($file);
 	$total = count($file);
 	if($total<1){
 		echo'<br><img src="../images/img/reload.gif" alt=""> <b>Сообщений нет, будь первым!</b><br>';
 		}
 		$start = (int)$_GET['start'];
 		if($start < 0 || $start > $total){
 			$start = 0;
 		}

 		if ($total < $start + $config_chatpost){
 		$end = $total;
 		}
 		else
 		{
 			$end = $start + $config_chatpost;
 		}

 		for ($i = $start; $i < $end; $i++){
 			$data = explode("|",$file[$i]);
 			$data[0]=bb_code($data[0]);
 			$ava = file(BASEDIR."local/profil/$data[1].prof");
 			$avv = explode(":||:",$ava[0]);
 			$uda = explode(":||:",$text[0]);
 			$pol=trim($uda[15]);
 			$statwho=user_online($data[1]);
 //			$pol=user_pol($data[15]);
 			if($data[1]=="Вундер-киндер"){
 				$avv[43]="images/img/mag.gif";
 				$pol='M';
 				$statwho='<font color="#00FF00">[On]</font>';
 			}

 			if($data[1]=="Настюха"){
 				$avv[43]="images/img/bot.gif";
 				$statwho='<font color="#00FF00">[On]</font>';
 				$pol='Ж';
 				}
 				if($data[1]=="Весальчак"){
 					$avv[43]="images/img/shut.gif";
 					$statwho='<font color="#00FF00">[On]</font>';
 					$pol='M';
 					}
 					if(!empty($udata[45])){
 						if($avv[43]!="" && $avv[43]!="noavatar.gif"){
 							echo '<div class=b><img src="../'.$avv[43].'" alt=""> ';
 							}
 							else
 							{
 								echo '<div class=b><img src="../images/avators/noavatar.gif" alt=""> ';
 								}
 						}
 						else
 						{
 							echo '<div class=b><img src="../images/img/edit.gif" alt=""> ';
 							}
 //							echo '<b><a href="say.php?imja='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> '.$statwho.' <small> ('.date_fixed($data[3]).')</small></div>'; //Logo без скобок пола...
                    //--------Определение пола--------//
                    //--------(для скобок-определение-пола)-----//
 			if(!empty($data[0])){
 				$text = @file("../local/profil/$data[1].prof");
 				if ($text!=""){
 					$uda = explode(":||:",$text[0]);
 					$pol=trim($uda[15]);
 				}
 			}
                    if ($pol=="M")
 				 {
 					echo '<b><font color="#3369FF">[</font></b>';
 					}
 					else
 					{
 						if ($pol=="Ж")
 						{
 							echo '<b><font color="#FF6633">[</font></b>';
 							}
 					}
 				echo '<b><a href="say.php?imja='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b>';
 				// '.user_online($data[1]);
 					if ($pol=="M")
 						{
 							echo '<b><font color="#3369FF">]</font></b> '.$statwho.' <small> ('.date_fixed($data[3]).')</small></div>';
 							}
 							else
 							{
 								if ($pol=="Ж")
 								{
 									echo '<b><font color="#FF6633">]</font></b> '.$statwho.' <small> ('.date_fixed($data[3]).')</small></div>';
 									}
 								}
 							//	echo"$statwho";
 							echo '<div>'.$data[0].'<br><font color="#CC00CC"><small>('.$data[4].', '.$data[5].')</small></font></div>';
 		}
 		echo'<hr>';
 		if ($start != 0) {
 			echo '<a href="indexx.php?start='.($start - $config_chatpost).'&amp;'.SID.'">&lt;-Назад</a>';
 			}
 			else
 			{
 				echo'&lt;-Назад';
 				}
 				echo' | ';
 				if ($total > $start + $config_chatpost) {
 					echo ' <a href="indexx.php?start='.($start + $config_chatpost).'&amp;'.SID.'">Далее -&gt;</a>';
 					}
 					else
 					{
 						echo'Далее-&gt;';
 						}
 		if($total>0){
 			$ba=ceil($total/$config_chatpost);
 			$ba2=$ba*$config_chatpost-$config_chatpost;
 			echo '<br><hr>Страницы:';
 			$asd=$start-($config_chatpost*4);
 			$asd2=$start+($config_chatpost*5);
 			if($asd<$total && $asd>0){
 				echo ' <a href="indexx.php?start=0&amp;'.SID.'">1</a> ... ';
 				}
 				for($i=$asd; $i<$asd2;){
 					if($i<$total && $i>=0){
 						$ii=floor(1+$i/$config_chatpost);
 						if ($start==$i) {
 							echo ' <b>('.$ii.')</b>';
 							}
 							else
 							{
 								echo ' <a href="indexx.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
 								}
 								}
 								$i=$i+$config_chatpost;
 								}
 								if($asd2<$total){
 									echo ' ... <a href="indexx.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';
 									}
 									}
 									echo '<br><br>';
 		if($config_themes!="wml"){
 			echo '<a href="#up"><img src="../images/img/ups.gif" alt=""></a> ';
 			}
 			echo '<a href="indexx.php?rand='.$rand.'&amp;'.SID.'">Обновить</a> | ';
 			echo '<a href="index.php?'.SID.'">Комнаты</a> | ';
 			echo '<a href="who.php?'.SID.'">Кто в Чате</a> | ';
 			echo '<a href="../pages/pravila.php?'.SID.'">Правила</a> | ';
 			echo '<a href="../pages/smiles.php?'.SID.'">Смайлы</a> | ';
 			echo '<a href="../pages/tegi.php?'.SID.'">Теги</a><br>';
 			echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
 			echo '<a href="http://kento.ru">.</a><br />';
include_once"../themes/$config_themes/foot.php";
?>
